Subject: [bug#54264] [PATCH] gnu: socat: Update to 1.7.4.3.

From: Guillaume Le Vaillant <[email-masked]>
Date: Tue, 08 Mar 2022 16:42:19 +0000

Ludovic Courtès <[email-masked]> skribis:

> Hello,
>
> [email-masked] (GNU bug Tracking System) skribis:
>
>> Patch pushed as 3cd42883c4ad693ed1f79c6be35e1aa3e010e10a.
>
> I reverted it in 0e91da1d34250650f7549595867e1be4f8e93fd8 because it
> triggered a massive rebuild:
>
> $ guix refresh -l socat
> Building the following 6713 packages would ensure 13327 dependent
> packages are rebuilt: […]
>
> This is because GnuTLS depends on socat:
>
>   guix graph -t reverse-package socat -M2 | xdot -f fdp -
>
> So I think this should go to core-updates, or we could define a variant
> for this new version but leave the ‘socat’ variable unchanged.
>
> Thoughts?
>
> Ludo’.

Ah, yes I forgot to check the number of dependents before pushing.
I guess it should go on core-updates.